<!DOCTYPE html>


<html>

<head>

    <title>LV4 ZD1</title>

    <link rel="stylesheet" href = "css.css"></a>

    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <script src="https://kit.fontawesome.com/6caecb60cb.js" crossorigin="anonymous"></script>

</head>


<body>

<h1>Validacija</h1>

<br>

<button type = "button" ondblclick="pozdrav()">Pozdrav</button>

<br>
<br>

<form name = "myForm" action = "/action_page.php" onsubmit="return validateForm()">

<label for ="name">Ime i prezime:</label>
<input type ="text" id = "name" name="name">

</form>

<br>

<label for="duvnjak">Polje za ispis:</label>

<textarea id = "duvnjak" name = "duvnjak" rows ="10" cols = "50"></textarea>

<br>
<br>

<label for="broj">Unesite broj:</label>
<input type="text" id = "broj" name = "broj">

<div class="tooltip"><i class = "fas fa-question"></i>
    <span class="tooltiptext">Broj mora biti između 1 i 10</span>
  </div>


<button type ="button" onclick="kvadrat()">Kvadriraj</button>


<br>    
<button type ="button" onclick = "kolegiji()">Kolegiji</button>
<button type="button" onmouseenter="obrisi()">Obriši</button>


<br> <br>

<label for="mail">Vaša e-mail adresa:</label>
<input type="text" id = "mail" name = "mail">

<br> <br>

<button type="button" onclick="validateForm()" >Provjeri!</button>

<script>


function pozdrav(){

for (let i  = 5 ; i > 0; i--){

window.alert("Warning number: " + i)

}

}


function validateForm(){

let x = document.forms["myForm"]["name"].value;

if(x==""){

    alert("Polje 'Ime i prezime' ne smije ostati prazno!")
    return false;
}


let n = document.getElementById("duvnjak").value

if(n >30){

alert("U polju ima više od 30 znakova.")

}
else if (n<=30 && n >=1) {

alert("U polju ima manje od 30 znakova.")

} else {
alert("Polje je prazno!")
}

}


function kvadrat(){

var x = document.getElementById["broj"].value;

if (x > 10){

console.log(parseInt(x));

//parseInt(document.getElementById('broj').innerHTML = "Broj je veći od 10!");
 
}if (n < 1 ) {

console.log(parseInt(x));

//parseInt(document.getElementById('broj').innerHTML = "Broj je manji od 1!");
   
} else {

return(num = Math.pow(x,x));

}

}


function emailCheck() {

    var at = document.getElementById("mail").value.indexOf("@");
    var fname = document.getElementById("mail").value;
  submitOK = "true";

    if (mail.length < 2) {
    alert("E-mail adresa mora sadržavati više od 2 znaka.");
    submitOK = "false";
  } 

  if (at == -1) {
    alert("Not a valid e-mail!");
    submitOK = "false";
  }

  if (submitOK == "false") {
    return false;
  }
    
}


function obrisi() {

document.getElementById("duvnjak").innerHTML = "";

}


function kolegiji(){

    document.getElementById("duvnjak").innerHTML = ""
				var kolegiji = new Array(8);
					kolegiji[0] = "Matematika 1"
					kolegiji[1] = "Fizika"
					kolegiji[2] = "Matematika 2"
					kolegiji[3] = "Elektronika"
					kolegiji[4] = "Osnove Elektrotehnike"
					kolegiji[5] = "Inženjerska grafika"
					kolegiji[6] = "Programiranje 1"
					kolegiji[7] = "Engleski jezik"


for(var broj_kolegija in kolegiji)
{
document.getElementById('duvnjak').innerHTML+=("Kolegij broj [" + broj_kolegija);
document.getElementById('duvnjak').innerHTML+=("]: "+ kolegiji[broj_kolegija] + "\n")
}

}


</script>


</body>

</html>